import setuptools

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

with open("requirements.txt", "r", encoding="utf-8") as requirements_file:
    core_requirements = requirements_file.readlines()

with open("VERSION.txt", "r", encoding="utf-8") as version_file:
    core_version = version_file.read().strip()


setuptools.setup(
    name="UnivocalCore",
    version=core_version,
    author="Elad Jerbi",
    author_email="elad.jerbi.dev@gmail.com",
    description="A Core repo for my UnivocalSubs application.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/EladJerbi/UnivocalCore",
    include_package_data=True,
    package_data={"": ["LICENSE"]},
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    packages=setuptools.find_packages(),  
    install_requires=core_requirements,
    python_requires=">=3.6"
)


